FEDORA-2018-d6fb341f6d created by dkaspar 2 years ago for Fedora 27
obsolete

This update contains several fixes and improvements, both for users & package maintainers:

  • priority/ordering has been decreased even more [60->61] to prevent these fonts from hijacking default system configuration
  • *.otf format is now shipped as well, so the fonts can be used inside LibreOffice
  • devel subpackage has been added, which now provides the %{urw_base35_fontpath} macro. This macro provides full path to fonts location, which is useful for some other packages.
  • nimbus-sans-narrow subpackage has been merged into nimbus-sans subpackage
  • additional internal fixes

This update has been submitted for testing by dkaspar.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon cra commented & provided feedback 2 years ago
karma

Broken dependencies on installed urw-base35-nimbus-sans-narrow-fonts-20170801-2.fc27.noarch causes failure to upgrade. You need to obsolete any dropped subpackages per: https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

2 years ago
User Icon dhgutteridge commented & provided feedback 2 years ago
karma

Same here:

 Problem: problem with installed package urw-base35-nimbus-sans-narrow-fonts-20170801-2.fc27.noarch
  - package urw-base35-nimbus-sans-narrow-fonts-20170801-2.fc27.noarch requires urw-base35-fonts-common = 20170801-2.fc27, but none of the providers can be installed
  - cannot install both urw-base35-fonts-common-20170801-3.fc27.noarch and urw-base35-fonts-common-20170801-2.fc27.noarch
  - cannot install both urw-base35-fonts-common-20170801-2.fc27.noarch and urw-base35-fonts-common-20170801-3.fc27.noarch
  - package urw-base35-fonts-20170801-3.fc27.noarch requires urw-base35-fonts-common = 20170801-3.fc27, but none of the providers can be installed
  - cannot install the best update candidate for package urw-base35-fonts-20170801-2.fc27.noarch
=======================================================================================================================================
 Package                                 Arch                   Version                          Repository                       Size
=======================================================================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 urw-base35-fonts-common                 noarch                 20170801-3.fc27                  updates-testing                  21 k
Skipping packages with broken dependencies:
 urw-base35-fonts                        noarch                 20170801-3.fc27                  updates-testing                  10 k

Transaction Summary
=======================================================================================================================================
Skip  2 Packages
User Icon cserpentis commented & provided feedback 2 years ago
karma

works for me

User Icon yuwata commented & provided feedback 2 years ago
karma

broken dependencies

User Icon filiperosset commented & provided feedback 2 years ago
karma

I had to remove urw-base35-nimbus-sans-narrow-fonts to apply this update

This update has been obsoleted.

2 years ago
User Icon lupinix commented & provided feedback 2 years ago
karma

Same hereā€¦

User Icon dkaspar commented & provided feedback 2 years ago

Hello @cserpentis - I wanted to ask: have you even tested this new update? This is the second time that I know of where you put +1 karma for an update which is clearly broken.

I'm not sure if you realize it, but the purpose behind Bodhi is not about receving title "This week's top tester"... It's purpose is for stopping updates that could break something for regular Fedora users. Please, keep that in mind next time you +1 something here. If we were to +1 everything, then we wouldn't need a humans for it, bots would be sufficent... :)

User Icon dkaspar commented & provided feedback 2 years ago

Thanks you all guys for spotting this problem, I really appreciate it! I had a lot on my plate lately, and I started to make stupid mistakes like this... :-/ I really need a vacation soon. :D

Anyway, I have just finished a new build, you should see new update in bodhi soon... ;)


Please login to add feedback.

Metadata
Type
enhancement
Severity
medium
Karma
-4
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Dates
submitted
2 years ago
in testing
2 years ago
BZ#1496466 URW fonts not available in LibreOffice
0
0

Automated Test Results